<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Semester Pendek </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-sticky-note"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <!-- Table -->
        <div class="row">
            <div class="col-md-12 col-xs-12">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">List Detail Mahasiswa Semester Pendek</h3>
                                <button type="button" class="btn btn-info btn-sm">
                                    <a th:href="@{/download/detail/sp}" class="fa fa-download text-white"> Download</a>
                                </button>
                            </div>
                            <div class="col text-right">
                                <a th:href="@{/studiesActivity/sp/list}" class="btn btn-success btn-sm"><i class="fa fa-arrow-circle-left"></i> Back</a>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table id="data-table-basic" class="table align-items-center table-flush table-striped">
                                <thead class="thead-light">
                                <tr>
                                    <th>No</th>
                                    <th>Nama</th>
                                    <th>Nim</th>
                                    <th>Prodi</th>
                                    <th>Matakuliah</th>
                                    <th>SKS</th>
                                    <th>Pembayaran</th>
                                    <th>Status</th>
                                    <th>Pengembalian</th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="data,row:${detailSp}">
                                    <td th:text="${(row.index + 1)}">1</td>
                                    <td th:text="${data[3]}"></td>
                                    <td th:text="${data[2]}"></td>
                                    <td th:text="${data[4]}"></td>
                                    <td th:text="${data[6]}"></td>
                                    <td th:text="${data[7]}"></td>
                                    <td>
                                        <a class="btn btn-success btn-sm" href="#!"
                                            th:if="${data[10] == 'LUNAS'}" th:text="${data[10]}">
                                        </a>
                                        <a class="btn btn-danger btn-sm" href="#!"
                                            th:if="${data[10] == 'BELUM LUNAS'}" th:text="${data[10]}">
                                        </a>
                                    </td>
                                    <td >
                                        <a class="btn btn-success btn-sm" href="#!"
                                           th:if="${data[8] == 'APPROVED'}" th:text="${data[8]}">
                                        </a>
                                        <a class="btn btn-danger btn-sm" href="#!"
                                           th:if="${data[8] == 'REJECTED'}" th:text="${data[8]}">
                                        </a>
                                        <a class="btn btn-primary btn-sm" href="#!"
                                           th:if="${data[8] == 'WAITING'}" th:text="${data[8]}">
                                        </a>
                                    </td>
                                    <td >
                                        <a class="btn btn-success btn-sm" href="#!"
                                           th:if="${data[12] == 'DONE'}" th:text="${data[12]}">
                                        </a>
                                        <a class="btn btn-danger btn-sm" href="#!"
                                           th:if="${data[12] == 'UNDONE'}" th:text="${data[12]}">
                                        </a>
                                        <a href="#!"
                                           th:if="${data[12] == '-'}" th:text="${data[12]}">
                                        </a>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>


        </div>
        <!-- Dark table -->


    </div>
</div>
</body>
</html>
<script>
    $(".js-example-placeholder-single").select2({
        placeholder: "Select One",
        allowClear: true
    });

</script>
